diff --git a/doc/src/sgml/release-8.1.sgml b/doc/src/sgml/release-8.1.sgml
index 44a30892fd..bdfaf79871 100644
--- a/doc/src/sgml/release-8.1.sgml
+++ b/doc/src/sgml/release-8.1.sgml
@@ -1,7 +1,9 @@
 <!-- doc/src/sgml/release-8.1.sgml -->
 <!-- See header comment in release.sgml about typical markup -->
 
- <sect1 id="release-8-1-23">
+<section>
+ <title>Release 8.1</title>
+ <section id="release-8-1-23">
   <title>Release 8.1.23</title>
 
   <formalpara>
@@ -21,7 +23,7 @@
    release branch soon.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.1.23</title>
 
    <para>
@@ -30,9 +32,9 @@
     see <xref linkend="release-8-1-18"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -217,10 +219,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-1-22">
+ <section id="release-8-1-22">
   <title>Release 8.1.22</title>
 
   <formalpara>
@@ -240,7 +242,7 @@
    Users are encouraged to update to a newer release branch soon.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.1.22</title>
 
    <para>
@@ -249,9 +251,9 @@
     see <xref linkend="release-8-1-18"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -435,10 +437,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-1-21">
+ <section id="release-8-1-21">
   <title>Release 8.1.21</title>
 
   <formalpara>
@@ -452,7 +454,7 @@
    <xref linkend="release-8-1"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.1.21</title>
 
    <para>
@@ -461,9 +463,9 @@
     see <xref linkend="release-8-1-18"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -589,10 +591,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-1-20">
+ <section id="release-8-1-20">
   <title>Release 8.1.20</title>
 
   <formalpara>
@@ -606,7 +608,7 @@
    <xref linkend="release-8-1"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.1.20</title>
 
    <para>
@@ -615,9 +617,9 @@
     see <xref linkend="release-8-1-18"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -779,10 +781,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-1-19">
+ <section id="release-8-1-19">
   <title>Release 8.1.19</title>
 
   <formalpara>
@@ -796,7 +798,7 @@
    <xref linkend="release-8-1"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.1.19</title>
 
    <para>
@@ -805,9 +807,9 @@
     see <xref linkend="release-8-1-18"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -960,10 +962,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-1-18">
+ <section id="release-8-1-18">
   <title>Release 8.1.18</title>
 
   <formalpara>
@@ -977,7 +979,7 @@
    <xref linkend="release-8-1"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.1.18</title>
 
    <para>
@@ -988,9 +990,9 @@
     see <xref linkend="release-8-1-15"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -1124,10 +1126,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-1-17">
+ <section id="release-8-1-17">
   <title>Release 8.1.17</title>
 
   <formalpara>
@@ -1141,7 +1143,7 @@
    <xref linkend="release-8-1"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.1.17</title>
 
    <para>
@@ -1150,9 +1152,9 @@
     see <xref linkend="release-8-1-15"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -1247,10 +1249,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-1-16">
+ <section id="release-8-1-16">
   <title>Release 8.1.16</title>
 
   <formalpara>
@@ -1264,7 +1266,7 @@
    <xref linkend="release-8-1"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.1.16</title>
 
    <para>
@@ -1273,9 +1275,9 @@
     see <xref linkend="release-8-1-15"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -1367,10 +1369,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-1-15">
+ <section id="release-8-1-15">
   <title>Release 8.1.15</title>
 
   <formalpara>
@@ -1384,7 +1386,7 @@
    <xref linkend="release-8-1"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.1.15</title>
 
    <para>
@@ -1395,9 +1397,9 @@
     indexes after the upgrade.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -1519,10 +1521,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-1-14">
+ <section id="release-8-1-14">
   <title>Release 8.1.14</title>
 
   <formalpara>
@@ -1536,7 +1538,7 @@
    <xref linkend="release-8-1"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.1.14</title>
 
    <para>
@@ -1545,9 +1547,9 @@
     see <xref linkend="release-8-1-2"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -1695,10 +1697,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-1-13">
+ <section id="release-8-1-13">
   <title>Release 8.1.13</title>
 
   <formalpara>
@@ -1712,7 +1714,7 @@
    <xref linkend="release-8-1"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.1.13</title>
 
    <para>
@@ -1721,9 +1723,9 @@
     see <xref linkend="release-8-1-2"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -1762,10 +1764,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-1-12">
+ <section id="release-8-1-12">
   <title>Release 8.1.12</title>
 
   <formalpara>
@@ -1779,7 +1781,7 @@
    <xref linkend="release-8-1"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.1.12</title>
 
    <para>
@@ -1788,9 +1790,9 @@
     see <xref linkend="release-8-1-2"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -2012,10 +2014,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-1-11">
+ <section id="release-8-1-11">
   <title>Release 8.1.11</title>
 
   <formalpara>
@@ -2039,7 +2041,7 @@
    be supported on other platforms.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.1.11</title>
 
    <para>
@@ -2048,9 +2050,9 @@
     see <xref linkend="release-8-1-2"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -2264,10 +2266,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-1-10">
+ <section id="release-8-1-10">
   <title>Release 8.1.10</title>
 
   <formalpara>
@@ -2281,7 +2283,7 @@
    <xref linkend="release-8-1"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.1.10</title>
 
    <para>
@@ -2290,9 +2292,9 @@
     see <xref linkend="release-8-1-2"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -2385,10 +2387,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-1-9">
+ <section id="release-8-1-9">
   <title>Release 8.1.9</title>
 
   <formalpara>
@@ -2403,7 +2405,7 @@
    <xref linkend="release-8-1"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.1.9</title>
 
    <para>
@@ -2412,9 +2414,9 @@
     see <xref linkend="release-8-1-2"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -2476,10 +2478,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-1-8">
+ <section id="release-8-1-8">
   <title>Release 8.1.8</title>
 
   <formalpara>
@@ -2493,7 +2495,7 @@
    <xref linkend="release-8-1"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.1.8</title>
 
    <para>
@@ -2502,9 +2504,9 @@
     see <xref linkend="release-8-1-2"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -2518,10 +2520,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-1-7">
+ <section id="release-8-1-7">
   <title>Release 8.1.7</title>
 
   <formalpara>
@@ -2536,7 +2538,7 @@
    <xref linkend="release-8-1"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.1.7</title>
 
    <para>
@@ -2545,9 +2547,9 @@
     see <xref linkend="release-8-1-2"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -2620,10 +2622,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-1-6">
+ <section id="release-8-1-6">
   <title>Release 8.1.6</title>
 
   <formalpara>
@@ -2637,7 +2639,7 @@
    <xref linkend="release-8-1"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.1.6</title>
 
    <para>
@@ -2646,9 +2648,9 @@
     see <xref linkend="release-8-1-2"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -2770,10 +2772,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-1-5">
+ <section id="release-8-1-5">
   <title>Release 8.1.5</title>
 
   <formalpara>
@@ -2787,7 +2789,7 @@
    <xref linkend="release-8-1"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.1.5</title>
 
    <para>
@@ -2796,9 +2798,9 @@
     see <xref linkend="release-8-1-2"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
 <itemizedlist>
@@ -2847,10 +2849,10 @@ compilers (Hiroshi Saito)</para></listitem>
 <listitem><para>Fix rare bug in continuous archiving (Tom)</para></listitem>
 </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-1-4">
+ <section id="release-8-1-4">
   <title>Release 8.1.4</title>
 
   <formalpara>
@@ -2865,7 +2867,7 @@ compilers (Hiroshi Saito)</para></listitem>
    <xref linkend="release-8-1"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.1.4</title>
 
    <para>
@@ -2885,9 +2887,9 @@ compilers (Hiroshi Saito)</para></listitem>
     <function>PQescapeStringConn()</function>) to perform string escaping,
     rather than relying on <foreignphrase>ad hoc</foreignphrase> code to do it.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
 <itemizedlist>
@@ -3001,10 +3003,10 @@ users and groups reasonably (only possible when dumping from a pre-8.1 server)
 documented (Tom)</para></listitem>
 </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-1-3">
+ <section id="release-8-1-3">
   <title>Release 8.1.3</title>
 
   <formalpara>
@@ -3019,7 +3021,7 @@ documented (Tom)</para></listitem>
    <xref linkend="release-8-1"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.1.3</title>
 
    <para>
@@ -3027,9 +3029,9 @@ documented (Tom)</para></listitem>
     However, if you are upgrading from a version earlier than 8.1.2,
     see <xref linkend="release-8-1-2"/>.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
 <itemizedlist>
@@ -3123,10 +3125,10 @@ creation (Tom)</para></listitem>
 
 </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-1-2">
+ <section id="release-8-1-2">
   <title>Release 8.1.2</title>
 
   <formalpara>
@@ -3140,7 +3142,7 @@ creation (Tom)</para></listitem>
    <xref linkend="release-8-1"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.1.2</title>
 
    <para>
@@ -3149,9 +3151,9 @@ creation (Tom)</para></listitem>
     columns after updating, if you are affected by the locale or
     <application>plperl</application> issues described below.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
 <itemizedlist>
@@ -3226,10 +3228,10 @@ what's actually returned by the query (Joe)</para></listitem>
 
 </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-1-1">
+ <section id="release-8-1-1">
   <title>Release 8.1.1</title>
 
   <formalpara>
@@ -3243,15 +3245,15 @@ what's actually returned by the query (Joe)</para></listitem>
    <xref linkend="release-8-1"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.1.1</title>
 
    <para>
     A dump/restore is not required for those running 8.1.X.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
 <itemizedlist>
@@ -3318,10 +3320,10 @@ DISTINCT query</para></listitem>
 <literal>UTF-8</literal> byte sequences (Paul Lindner)</para></listitem>
 </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-1">
+ <section id="release-8-1">
   <title>Release 8.1</title>
 
   <formalpara>
@@ -3329,7 +3331,7 @@ DISTINCT query</para></listitem>
    <para>2005-11-08</para>
   </formalpara>
 
-  <sect2>
+  <section>
    <title>Overview</title>
 
    <para>
@@ -3545,9 +3547,9 @@ DISTINCT query</para></listitem>
     </varlistentry>
 
    </variablelist>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.1</title>
 
    <para>
@@ -3845,9 +3847,9 @@ psql -t -f fixseq.sql db1 | psql -e db1
     </listitem>
 
    </itemizedlist>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Additional Changes</title>
 
    <para>
@@ -3856,7 +3858,7 @@ psql -t -f fixseq.sql db1 | psql -e db1
     previous major release.
    </para>
 
-   <sect3>
+   <section>
     <title>Performance Improvements</title>
     <itemizedlist>
 
@@ -3977,9 +3979,9 @@ psql -t -f fixseq.sql db1 | psql -e db1
       </para>
      </listitem>
     </itemizedlist>
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title>Server Changes</title>
     <itemizedlist>
 
@@ -4134,10 +4136,10 @@ psql -t -f fixseq.sql db1 | psql -e db1
      </listitem>
 
     </itemizedlist>
-   </sect3>
+   </section>
 
 
-   <sect3>
+   <section>
     <title>Query Changes</title>
     <itemizedlist>
 
@@ -4209,10 +4211,10 @@ psql -t -f fixseq.sql db1 | psql -e db1
       </para>
      </listitem>
     </itemizedlist>
-   </sect3>
+   </section>
 
 
-   <sect3>
+   <section>
     <title>Object Manipulation Changes</title>
     <itemizedlist>
 
@@ -4264,10 +4266,10 @@ psql -t -f fixseq.sql db1 | psql -e db1
      </listitem>
 
     </itemizedlist>
-   </sect3>
+   </section>
 
 
-   <sect3>
+   <section>
     <title>Utility Command Changes</title>
     <itemizedlist>
 
@@ -4380,10 +4382,10 @@ psql -t -f fixseq.sql db1 | psql -e db1
      </listitem>
 
     </itemizedlist>
-   </sect3>
+   </section>
 
 
-   <sect3>
+   <section>
     <title>Data Type and Function Changes</title>
     <itemizedlist>
 
@@ -4669,10 +4671,10 @@ SELECT CURRENT_TIMESTAMP AT TIME ZONE 'Europe/London';
      </listitem>
 
     </itemizedlist>
-   </sect3>
+   </section>
 
 
-   <sect3>
+   <section>
     <title>Encoding and Locale Changes</title>
     <itemizedlist>
 
@@ -4752,10 +4754,10 @@ SELECT CURRENT_TIMESTAMP AT TIME ZONE 'Europe/London';
      </listitem>
 
     </itemizedlist>
-   </sect3>
+   </section>
 
 
-   <sect3>
+   <section>
     <title>General Server-Side Language Changes</title>
     <itemizedlist>
 
@@ -4812,9 +4814,9 @@ SELECT CURRENT_TIMESTAMP AT TIME ZONE 'Europe/London';
      </listitem>
 
     </itemizedlist>
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title>PL/pgSQL Server-Side Language Changes</title>
     <itemizedlist>
 
@@ -4904,10 +4906,10 @@ SELECT CURRENT_TIMESTAMP AT TIME ZONE 'Europe/London';
      </listitem>
 
     </itemizedlist>
-   </sect3>
+   </section>
 
 
-   <sect3>
+   <section>
     <title>PL/Perl Server-Side Language Changes</title>
     <itemizedlist>
 
@@ -4975,10 +4977,10 @@ SELECT CURRENT_TIMESTAMP AT TIME ZONE 'Europe/London';
      </listitem>
 
     </itemizedlist>
-   </sect3>
+   </section>
 
 
-   <sect3>
+   <section>
     <title><application>psql</application> Changes</title>
     <itemizedlist>
 
@@ -5084,10 +5086,10 @@ SELECT CURRENT_TIMESTAMP AT TIME ZONE 'Europe/London';
      </listitem>
 
     </itemizedlist>
-   </sect3>
+   </section>
 
 
-   <sect3>
+   <section>
     <title><application>pg_dump</application> Changes</title>
     <itemizedlist>
 
@@ -5152,10 +5154,10 @@ SELECT CURRENT_TIMESTAMP AT TIME ZONE 'Europe/London';
      </listitem>
 
     </itemizedlist>
-   </sect3>
+   </section>
 
 
-   <sect3>
+   <section>
     <title><application>libpq</application> Changes</title>
     <itemizedlist>
 
@@ -5182,10 +5184,10 @@ SELECT CURRENT_TIMESTAMP AT TIME ZONE 'Europe/London';
       </para>
      </listitem>
     </itemizedlist>
-   </sect3>
+   </section>
 
 
-   <sect3>
+   <section>
     <title>Source Code Changes</title>
     <itemizedlist>
 
@@ -5327,10 +5329,10 @@ SELECT CURRENT_TIMESTAMP AT TIME ZONE 'Europe/London';
       </para>
      </listitem>
     </itemizedlist>
-   </sect3>
+   </section>
 
 
-   <sect3>
+   <section>
     <title>Contrib Changes</title>
     <itemizedlist>
 
@@ -5438,7 +5440,8 @@ SELECT CURRENT_TIMESTAMP AT TIME ZONE 'Europe/London';
      </listitem>
 
     </itemizedlist>
-   </sect3>
+   </section>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
+</section>
